%define lib_name	%mklibname %{name}
%define lib_name_devel	%mklibname %{name} -d

Name:		lsp-plugins
Summary:	A collection of plugins which aim to bring new, non existing plugins to Linux
Version:	1.2.20
Release:	%mkrel 1
License:	LGPLv3
Group:		System/Libraries
URL:		https://lsp-plug.in/
Source0:	https://github.com/sadko4u/lsp-plugins/releases/download/%{version}/lsp-plugins-src-%{version}.tar.gz
Patch1:		lsp-plugins-x86.patch

BuildRequires:	ladspa-devel >= 1.13
BuildRequires:	php-cli >= 8.0.12
BuildRequires:	pkgconfig(cairo) >= 1.14
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(jack) >= 1.9.5
BuildRequires:	pkgconfig(lv2) >= 1.18.10
BuildRequires:	pkgconfig(sndfile) >= 1.0.25
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(gl)

Requires:	%{lib_name} >= %{version}-%{release}


%description
LSP (Linux Studio Plugins) is a collection of open-source plugins currently
compatible with LADSPA, LV2 and LinuxVST formats.
Standalone plugins for JACK are provided since version 1.0.8.
Experimental support of ARMv7 added since version 1.1.4.


%package -n %{lib_name}
Summary:	Library for the lsp-plugins library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
Library for %{name}.


%package -n %{lib_name_devel}
Summary:	Headers for the lsp-plugins library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against %{name}.

%prep
%autosetup -p1 -n %{name}

%build
%set_build_flags
make config PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} SHAREDDIR=%{_datadir} INCDIR=%{_includedir} \
 VERBOSE=1 \
 INSTALL_HEADERS=1 \
 ADD_FEATURES=xdg
%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/*.a

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/categories
cp -a %{buildroot}%{_iconsdir}/hicolor/scalable/apps/lsp-plugins.svg \
      %{buildroot}%{_iconsdir}/hicolor/scalable/categories/lsp-plugins.svg

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/desktop-directories/%{name}.directory
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/lsp-plugins.{png,svg}
%{_iconsdir}/hicolor/scalable/categories/lsp-plugins.svg
%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu

%files -n %{lib_name}
%{_libdir}/liblsp-r3d-glx-*.so
%{_libdir}/clap/%{name}.clap
%{_libdir}/gstreamer-1.0/*.so
%{_libdir}/ladspa/%{name}-ladspa.so
%{_libdir}/lv2/%{name}.lv2/
%{_libdir}/vst/%{name}.vst/
%{_libdir}/vst3/%{name}.vst3/
%{_libdir}/%{name}/

%files -n %{lib_name_devel}
%{_includedir}/lsp-plug.in/
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Dec 22 2024 wally <wally> 1.2.20-1.mga10
+ Revision: 2128710
- use our compiler flags (again)
- drop upstream debug flags and use ours instead
- increase build time verbosity
- don't own gst1.0 plugin dir
+ daviddavid <daviddavid>
- new version: 1.2.20
- install icon lsp-plugins.svg also in /usr/share/icons/hicolor/scalable/categories/
  thus in needed for lsp-plugin.menu in plasma6 menu

* Sat Dec 14 2024 philippedidier <philippedidier> 1.2.19-1.mga10
+ Revision: 2125119
- new version 1.2.19
-including added basic GStreamer plugin format support

* Sat Jun 22 2024 philippedidier <philippedidier> 1.2.16-1.mga10
+ Revision: 2076219
- new version 1.2.16

* Mon Apr 22 2024 philippedidier <philippedidier> 1.2.15-1.mga10
+ Revision: 2060483
- new version 1.2.15

* Sun Jan 28 2024 philippedidier <philippedidier> 1.2.14-1.mga10
+ Revision: 2035579
- new version 1.2.14
+ kekepower <kekepower>
- Update to version 1.2.11

* Sun Jun 04 2023 philippedidier <philippedidier> 1.2.7-1.mga9
+ Revision: 1960894
- new version 1.2.7   correct some memory leakage and crashes

* Tue Apr 11 2023 daviddavid <daviddavid> 1.2.6-1.mga9
+ Revision: 1952759
- new version: 1.2.6

* Sat Jan 28 2023 wally <wally> 1.2.3-3.mga9
+ Revision: 1936643
- don't own hicolor icon dirs

* Wed Dec 14 2022 daviddavid <daviddavid> 1.2.3-2.mga9
+ Revision: 1922195
- own include dir
- fix lib required in main pkg

* Tue Dec 13 2022 philippedidier <philippedidier> 1.2.3-1.mga9
+ Revision: 1921851
- new version 1.2.3 - clean spec file and create lib and libdevel rpms

* Tue Jul 26 2022 philippedidier <philippedidier> 1.2.2-1.mga9
+ Revision: 1872132
- New version 1.2.2
- Add patch to fix overriding of default CFLAGS/CXXFLAGS when providing distribution flags

* Mon Apr 11 2022 barjac <barjac> 1.2.0-2.mga9
+ Revision: 1848903
- Build debug packages
- Try parallel build for armv7

* Mon Apr 11 2022 barjac <barjac> 1.2.0-1.mga9
+ Revision: 1848858
- new version 1.2.0
- update license
- re-enable aarch64 build
- add min versions to all BRs
- dont use github generated source0 as files are missing
- use parallel build
- specify install paths as well as prefix
- build vst
- remove *.a
- fix some directory ownerships and files

* Fri Apr 01 2022 umeabot <umeabot> 1.1.30-2.mga9
+ Revision: 1838594
- Mageia 9 Mass Rebuild

* Thu May 06 2021 barjac <barjac> 1.1.30-1.mga9
+ Revision: 1721625
- new version 1.1.30
- add extra make install_xdg for desktop files (upstream change)
- remove old commented patch from spec - pushed upstream
- actaully own lsp-plugins doc dir

* Wed Mar 24 2021 barjac <barjac> 1.1.29-1.mga9
+ Revision: 1709624
- new version 1.1.29
- remove php patch fixed upstream

* Mon Dec 21 2020 barjac <barjac> 1.1.28-1.mga8
+ Revision: 1662543
- new version 1.1.28
- patch to fix build with new php (thanks luigi :)

* Sat Sep 19 2020 barjac <barjac> 1.1.26-1.mga8
+ Revision: 1628784
- new version 1.1.26

* Fri Jul 17 2020 barjac <barjac> 1.1.24-1.mga8
+ Revision: 1606799
- new version 1.1.24
- remove patch fixed upstream

* Wed Jul 15 2020 barjac <barjac> 1.1.22-1.mga8
+ Revision: 1606177
- new version 1.1.22
- patch Makefile to fix build reported upstream

* Tue Jun 09 2020 barjac <barjac> 1.1.21-1.mga8
+ Revision: 1591525
- new version 1.1.21
- updated files list

* Sun Feb 23 2020 pterjan <pterjan> 1.1.13-3.mga8
+ Revision: 1549697
- Fix build on armv8 machine

* Wed Feb 19 2020 umeabot <umeabot> 1.1.13-2.mga8
+ Revision: 1543017
- Mageia 8 Mass Rebuild

* Fri Jan 10 2020 barjac <barjac> 1.1.13-1.mga8
+ Revision: 1477529
- new version 1.1.13

* Mon Nov 11 2019 barjac <barjac> 1.1.10-1.mga8
+ Revision: 1459310
- new version 1.1.10

* Mon Mar 25 2019 barjac <barjac> 1.1.9-1.mga7
+ Revision: 1380200
- new version 1.1.9
- fix Source0 and files list

* Sat Feb 09 2019 barjac <barjac> 1.1.5-2.mga7
+ Revision: 1364433
- exclude aarch64
- Import new package

